<?php


return  
    [
        'model' => [
            'model' => \Litecms\Lead\Models\User::class,
            'table' => 'litecms_lead_users',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['opportunity_id',  'user_id',  'team_id',  'status',  'sented_at',  'accepted_at',  'decline_at',  'expired_at'],
            'translatables' => [],
            'upload_folder' => 'lead/user',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "opportunity_id", 
                "type" => "text", 
                "label" => 'lead::user.label.opportunity_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "team_id", 
                "type" => "text", 
                "label" => 'lead::user.label.team_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "sented_at", 
                "type" => "text", 
                "label" => 'lead::user.label.sented_at', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "accepted_at", 
                "type" => "text", 
                "label" => 'lead::user.label.accepted_at', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "decline_at", 
                "type" => "text", 
                "label" => 'lead::user.label.decline_at', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "expired_at", 
                "type" => "text", 
                "label" => 'lead::user.label.expired_at', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'opportunity_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lead::user.label.opportunity_id',
                "placeholder" => 'lead::user.placeholder.opportunity_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'team_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'lead::user.label.team_id',
                "placeholder" => 'lead::user.placeholder.team_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'sented_at',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'lead::user.label.sented_at',
                "placeholder" => 'lead::user.placeholder.sented_at',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'accepted_at',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'lead::user.label.accepted_at',
                "placeholder" => 'lead::user.placeholder.accepted_at',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'decline_at',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'lead::user.label.decline_at',
                "placeholder" => 'lead::user.placeholder.decline_at',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'expired_at',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'lead::user.label.expired_at',
                "placeholder" => 'lead::user.placeholder.expired_at',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'lead/user/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'lead/user/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'lead/user',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'lead/user',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'lead/user',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'lead/user',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'lead::user.label.created_at',
            'name' => 'lead::user.label.name',
            'status' => 'lead::user.label.status',
        ],
        'groups' => [
            'main' => [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "lead::user.groups.main",
                'key' => "main",
                'title' => "lead::user.groups.main",
            ],
            'details' => [
                'icon' => "fe:home",
                'name' => "lead::user.groups.details",
                'key' => "documents",
                'title' => "lead::user.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "lead::user.groups.images",
                'key' => "documents",
                'title' => "lead::user.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "lead::user.groups.settings",
                'key' => "documents",
                'title' => "lead::user.groups.settings",
            ]
        ],
        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Lead',
            'module' => 'User',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Litecms\Lead\Models\User::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'count' => [
                                "element" => 'select',
                                "type" => 'select',
                                "label" => 'lead::user.label.count',
                                "placeholder" => 'lead::user.placeholder.count',
                                "options" => call_user_func(function () {
                                    return [
                                        1 => ['value' => 1, 'text' => 1],
                                        2 => ['value' => 2, 'text' => 2],
                                        3 => ['value' => 3, 'text' => 3],
                                        4 => ['value' => 4, 'text' => 4]
                                    ];
                                }),
                                "col" => "12",
                            ],
                            'comment' => [
                                "element" => 'textarea',
                                "type" => 'text',
                                "required" => 'required',
                                "label" => 'lead::user.label.comment',
                                "placeholder" => 'lead::user.placeholder.comment',
                                "col" => "12",
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'lead::user.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['lead.user.copy', 'lead.user.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'lead::user.label.count',
                        "placeholder" => 'lead::user.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'lead::user.label.comment',
                        "placeholder" => 'lead::user.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'lead::user.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
        ]
        
    ];
