<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitecmsLeadLeadsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litecms_lead_leads
         */
        Schema::create('litecms_lead_leads', function ($table) {
            $table->increments('id');
            $table->integer('team_id')->nullable();
            $table->integer('agent_id')->nullable();
            $table->integer('lead_id')->nullable();
            $table->integer('rotation_id')->nullable();
            $table->integer('assigned_id')->nullable();
            $table->string('lead_qualify', 30)->nullable();
            $table->string('lead_type', 50)->nullable();
            $table->integer('opportunitable_id')->nullable();
            $table->string('opportunitable_type', 50)->nullable();
            $table->string('ref_source', 50)->nullable();
            $table->integer('account_id')->nullable();
            $table->integer('contact_id')->nullable();
            $table->text('contact_details')->nullable();
            $table->string('ref', 50)->nullable();
            $table->string('title', 100)->nullable();
            $table->string('finance', 100)->nullable();
            $table->string('industry', 100)->nullable();
            $table->string('status', 50)->nullable();
            $table->string('sub_status', 50)->nullable();
            $table->string('priority', 50)->nullable();
            $table->string('customer_type', 50)->nullable();
            $table->string('buyer_type', 30)->nullable();
            $table->string('created_by', 50)->nullable();
            $table->text('description')->nullable();
            $table->text('customer_care_notes')->nullable();
            $table->string('customer_response', 100)->nullable();
            $table->tinyInteger('commercial')->nullable();
            $table->text('notes')->nullable();
            $table->text('audios')->nullable();
            $table->text('agent_note')->nullable();
            $table->integer('probability')->nullable();
            $table->string('source', 50)->nullable();
            $table->string('sub_source', 100)->nullable();
            $table->enum('stage', [])->nullable();
            $table->integer('category_id')->nullable();
            $table->integer('emirate_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('sublocation_id')->nullable();
            $table->integer('property_id')->nullable();
            $table->integer('min_bed')->nullable();
            $table->integer('max_bed')->nullable();
            $table->string('min_price', 100)->nullable();
            $table->string('max_price', 100)->nullable();
            $table->integer('min_area')->nullable();
            $table->integer('max_area')->nullable();
            $table->tinyInteger('hot')->nullable();
            $table->tinyInteger('share')->nullable();
            $table->integer('budget')->nullable();
            $table->integer('timeline')->nullable();
            $table->integer('level_of_interest')->nullable();
            $table->dateTime('contact_at')->nullable();
            $table->integer('extended')->nullable();
            $table->dateTime('expiry_at')->nullable();
            $table->dateTime('notified_at')->nullable();
            $table->string('listing_type', 100)->nullable();
            $table->string('opportunity_lost_reason', 50)->nullable();
            $table->text('opportunity_lost_description')->nullable();
            $table->integer('pool_count')->nullable();
            $table->integer('unwanted_count')->nullable();
            $table->text('pool_ids')->nullable();
            $table->text('unwanted_ids')->nullable();
            $table->dateTime('reminder')->nullable();
            $table->dateTime('extend_date')->nullable();
            $table->text('extend_description')->nullable();
            $table->text('counters')->nullable();
            $table->string('contact_medium', 25)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->string('opportunity_status', 255)->nullable();
            $table->string('customer_engaggement', 255)->nullable();
            $table->integer('notification_send')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litecms_lead_leads');
    }
}
