<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitecmsLeadUsersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litecms_lead_users
         */
        Schema::create('litecms_lead_users', function ($table) {
            $table->increments('id');
            $table->integer('opportunity_id')->nullable();
            $table->integer('user_id')->nullable();
            $table->integer('team_id')->nullable();
            $table->enum('status', [])->nullable();
            $table->dateTime('sented_at')->nullable();
            $table->dateTime('accepted_at')->nullable();
            $table->dateTime('decline_at')->nullable();
            $table->dateTime('expired_at')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litecms_lead_users');
    }
}
