<?php

namespace Litecms\Lead\Seeders;

use DB;
use Illuminate\Database\Seeder;

class LeadTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litecms_lead_leads')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litecms.lead.lead.view',
                'name'      => 'View Lead',
            ],
            [
                'slug'      => 'litecms.lead.lead.create',
                'name'      => 'Create Lead',
            ],
            [
                'slug'      => 'litecms.lead.lead.edit',
                'name'      => 'Update Lead',
            ],
            [
                'slug'      => 'litecms.lead.lead.delete',
                'name'      => 'Delete Lead',
            ],
            
                        [
                'slug'      => 'litecms.lead.lead.verify',
                'name'      => 'Verify Lead',
            ],
            [
                'slug'      => 'litecms.lead.lead.approve',
                'name'      => 'Approve Lead',
            ],
            [
                'slug'      => 'litecms.lead.lead.publish',
                'name'      => 'Publish Lead',
            ],
            [
                'slug'      => 'litecms.lead.lead.unpublish',
                'name'      => 'Unpublish Lead',
            ],
            [
                'slug'      => 'litecms.lead.lead.cancel',
                'name'      => 'Cancel Lead',
            ],
            [
                'slug'      => 'litecms.lead.lead.archive',
                'name'      => 'Archive Lead',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/lead/lead',
                'name'        => 'Lead',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/lead/lead',
                'name'        => 'Lead',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'lead',
                'name'        => 'Lead',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Lead',
                'module'    => 'Lead',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litecms.lead.lead.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
