<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for lead in lead package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  lead module in lead package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Lead',
    'names' => 'Leads',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Leads',
        'sub' => 'Leads'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'stage' => 
            [
                                
                [
                    'key'    => 'New',
                    'value'  => 'New',
                    'text'   => 'New',
                ],
                                
                [
                    'key'    => 'Called',
                    'value'  => 'Called',
                    'text'   => 'Called',
                ],
                                
                [
                    'key'    => 'Viewing',
                    'value'  => 'Viewing',
                    'text'   => 'Viewing',
                ],
                                
                [
                    'key'    => 'Offer',
                    'value'  => 'Offer',
                    'text'   => 'Offer',
                ],
                                
                [
                    'key'    => 'Deal',
                    'value'  => 'Deal',
                    'text'   => 'Deal',
                ],
                                
                [
                    'key'    => 'Closed Won',
                    'value'  => 'Closed Won',
                    'text'   => 'Closed Won',
                ],
                                
                [
                    'key'    => 'Closed Lost',
                    'value'  => 'Closed Lost',
                    'text'   => 'Closed Lost',
                ],
                                
                [
                    'key'    => 'Pool',
                    'value'  => 'Pool',
                    'text'   => 'Pool',
                ],
                                
                [
                    'key'    => 'Archive',
                    'value'  => 'Archive',
                    'text'   => 'Archive',
                ],
                                
                [
                    'key'    => 'Unwanted',
                    'value'  => 'Unwanted',
                    'text'   => 'Unwanted',
                ],
                                
                [
                    'key'    => 'Updated',
                    'value'  => 'Updated',
                    'text'   => 'Updated',
                ],
                                
                [
                    'key'    => 'Contacted',
                    'value'  => 'Contacted',
                    'text'   => 'Contacted',
                ],
                                
                [
                    'key'    => 'Qualified',
                    'value'  => 'Qualified',
                    'text'   => 'Qualified',
                ],
                                
                [
                    'key'    => 'Rotation',
                    'value'  => 'Rotation',
                    'text'   => 'Rotation',
                ],
                                
                [
                    'key'    => 'Pending',
                    'value'  => 'Pending',
                    'text'   => 'Pending',
                ],
                                
                [
                    'key'    => 'Rejected',
                    'value'  => 'Rejected',
                    'text'   => 'Rejected',
                ],
                                
                [
                    'key'    => 'Hold',
                    'value'  => 'Hold',
                    'text'   => 'Hold',
                ],
                                
                [
                    'key'    => 'Duplicate',
                    'value'  => 'Duplicate',
                    'text'   => 'Duplicate',
                ],
                                
                [
                    'key'    => 'From Pool',
                    'value'  => 'From Pool',
                    'text'   => 'From Pool',
                ],
                                
                [
                    'key'    => '',
                    'value'  => '',
                    'text'   => '',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'team_id'                    => 'Please enter team id',
        'agent_id'                   => 'Please enter agent id',
        'lead_id'                    => 'Please enter lead id',
        'rotation_id'                => 'Please enter rotation id',
        'assigned_id'                => 'Please enter assigned id',
        'lead_qualify'               => 'Please enter lead qualify',
        'lead_type'                  => 'Please enter lead type',
        'opportunitable_id'          => 'Please enter opportunitable id',
        'opportunitable_type'        => 'Please enter opportunitable type',
        'ref_source'                 => 'Please enter ref source',
        'account_id'                 => 'Please enter account id',
        'contact_id'                 => 'Please enter contact id',
        'contact_details'            => 'Please enter contact details',
        'ref'                        => 'Please enter ref',
        'title'                      => 'Please enter title',
        'finance'                    => 'Please enter finance',
        'industry'                   => 'Please enter industry',
        'status'                     => 'Please enter status',
        'sub_status'                 => 'Please enter sub status',
        'priority'                   => 'Please enter priority',
        'customer_type'              => 'Please enter customer type',
        'buyer_type'                 => 'Please enter buyer type',
        'created_by'                 => 'Please enter created by',
        'description'                => 'Please enter description',
        'customer_care_notes'        => 'Please enter customer care notes',
        'customer_response'          => 'Please enter customer response',
        'commercial'                 => 'Please enter commercial',
        'notes'                      => 'Please enter notes',
        'audios'                     => 'Please enter audios',
        'agent_note'                 => 'Please enter agent note',
        'probability'                => 'Please enter probability',
        'source'                     => 'Please enter source',
        'sub_source'                 => 'Please enter sub source',
        'stage'                      => 'Please select stage',
        'category_id'                => 'Please enter category id',
        'emirate_id'                 => 'Please enter emirate id',
        'location_id'                => 'Please enter location id',
        'sublocation_id'             => 'Please enter sublocation id',
        'property_id'                => 'Please enter property id',
        'min_bed'                    => 'Please enter min bed',
        'max_bed'                    => 'Please enter max bed',
        'min_price'                  => 'Please enter min price',
        'max_price'                  => 'Please enter max price',
        'min_area'                   => 'Please enter min area',
        'max_area'                   => 'Please enter max area',
        'hot'                        => 'Please enter hot',
        'share'                      => 'Please enter share',
        'budget'                     => 'Please enter budget',
        'timeline'                   => 'Please enter timeline',
        'level_of_interest'          => 'Please enter level of interest',
        'contact_at'                 => 'Please select contact at',
        'extended'                   => 'Please enter extended',
        'expiry_at'                  => 'Please select expiry at',
        'notified_at'                => 'Please select notified at',
        'listing_type'               => 'Please enter listing type',
        'opportunity_lost_reason'        => 'Please enter opportunity lost reason',
        'opportunity_lost_description'        => 'Please enter opportunity lost description',
        'pool_count'                 => 'Please enter pool count',
        'unwanted_count'             => 'Please enter unwanted count',
        'pool_ids'                   => 'Please enter pool ids',
        'unwanted_ids'               => 'Please enter unwanted ids',
        'reminder'                   => 'Please select reminder',
        'extend_date'                => 'Please select extend date',
        'extend_description'         => 'Please enter extend description',
        'counters'                   => 'Please enter counters',
        'contact_medium'             => 'Please enter contact medium',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
        'opportunity_status'         => 'Please enter opportunity status',
        'customer_engaggement'        => 'Please enter customer engaggement',
        'notification_send'          => 'Please enter notification send',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'team_id'                    => 'Team id',
        'agent_id'                   => 'Agent id',
        'lead_id'                    => 'Lead id',
        'rotation_id'                => 'Rotation id',
        'assigned_id'                => 'Assigned id',
        'lead_qualify'               => 'Lead qualify',
        'lead_type'                  => 'Lead type',
        'opportunitable_id'          => 'Opportunitable id',
        'opportunitable_type'        => 'Opportunitable type',
        'ref_source'                 => 'Ref source',
        'account_id'                 => 'Account id',
        'contact_id'                 => 'Contact id',
        'contact_details'            => 'Contact details',
        'ref'                        => 'Ref',
        'title'                      => 'Title',
        'finance'                    => 'Finance',
        'industry'                   => 'Industry',
        'status'                     => 'Status',
        'sub_status'                 => 'Sub status',
        'priority'                   => 'Priority',
        'customer_type'              => 'Customer type',
        'buyer_type'                 => 'Buyer type',
        'created_by'                 => 'Created by',
        'description'                => 'Description',
        'customer_care_notes'        => 'Customer care notes',
        'customer_response'          => 'Customer response',
        'commercial'                 => 'Commercial',
        'notes'                      => 'Notes',
        'audios'                     => 'Audios',
        'agent_note'                 => 'Agent note',
        'probability'                => 'Probability',
        'source'                     => 'Source',
        'sub_source'                 => 'Sub source',
        'stage'                      => 'Stage',
        'category_id'                => 'Category id',
        'emirate_id'                 => 'Emirate id',
        'location_id'                => 'Location id',
        'sublocation_id'             => 'Sublocation id',
        'property_id'                => 'Property id',
        'min_bed'                    => 'Min bed',
        'max_bed'                    => 'Max bed',
        'min_price'                  => 'Min price',
        'max_price'                  => 'Max price',
        'min_area'                   => 'Min area',
        'max_area'                   => 'Max area',
        'hot'                        => 'Hot',
        'share'                      => 'Share',
        'budget'                     => 'Budget',
        'timeline'                   => 'Timeline',
        'level_of_interest'          => 'Level of interest',
        'contact_at'                 => 'Contact at',
        'extended'                   => 'Extended',
        'expiry_at'                  => 'Expiry at',
        'notified_at'                => 'Notified at',
        'listing_type'               => 'Listing type',
        'opportunity_lost_reason'        => 'Opportunity lost reason',
        'opportunity_lost_description'        => 'Opportunity lost description',
        'pool_count'                 => 'Pool count',
        'unwanted_count'             => 'Unwanted count',
        'pool_ids'                   => 'Pool ids',
        'unwanted_ids'               => 'Unwanted ids',
        'reminder'                   => 'Reminder',
        'extend_date'                => 'Extend date',
        'extend_description'         => 'Extend description',
        'counters'                   => 'Counters',
        'contact_medium'             => 'Contact medium',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
        'opportunity_status'         => 'Opportunity status',
        'customer_engaggement'        => 'Customer engaggement',
        'notification_send'          => 'Notification send',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
