<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for user in lead package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  user module in lead package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'User',
    'names' => 'Users',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Users',
        'sub' => 'Users'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'status' => 
            [
                                
                [
                    'key'    => 'Not Send',
                    'value'  => 'Not Send',
                    'text'   => 'Not Send',
                ],
                                
                [
                    'key'    => 'Sent',
                    'value'  => 'Sent',
                    'text'   => 'Sent',
                ],
                                
                [
                    'key'    => 'Decline',
                    'value'  => 'Decline',
                    'text'   => 'Decline',
                ],
                                
                [
                    'key'    => 'Accept',
                    'value'  => 'Accept',
                    'text'   => 'Accept',
                ],
                                
                [
                    'key'    => 'Expired',
                    'value'  => 'Expired',
                    'text'   => 'Expired',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'opportunity_id'             => 'Please enter opportunity id',
        'user_id'                    => 'Please enter user id',
        'team_id'                    => 'Please enter team id',
        'status'                     => 'Please select status',
        'sented_at'                  => 'Please select sented at',
        'accepted_at'                => 'Please select accepted at',
        'decline_at'                 => 'Please select decline at',
        'expired_at'                 => 'Please select expired at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'opportunity_id'             => 'Opportunity id',
        'user_id'                    => 'User id',
        'team_id'                    => 'Team id',
        'status'                     => 'Status',
        'sented_at'                  => 'Sented at',
        'accepted_at'                => 'Accepted at',
        'decline_at'                 => 'Decline at',
        'expired_at'                 => 'Expired at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
