<?php

// Web routes  for lead.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for lead

Route::prefix('{guard}/lead')->group(function () {

    Route::get('/workflow/{lead}/{user}', 'LeadWorkflowController@get')
        ->name('lead.lead.workflow');
    Route::post('/workflow/{lead}/{user}', 'LeadWorkflowController@post');

    Route::get('/action/{lead}/{user}', 'LeadActionController@get')
        ->name('lead.lead.action');
    Route::post('/action/{lead}/{user}', 'LeadActionController@post');

});


// Workflow routes for user

Route::prefix('{guard}/user')->group(function () {

    Route::get('/workflow/{user}/{user}', 'UserWorkflowController@get')
        ->name('lead.user.workflow');
    Route::post('/workflow/{user}/{user}', 'UserWorkflowController@post');

    Route::get('/action/{user}/{user}', 'UserActionController@get')
        ->name('lead.user.action');
    Route::post('/action/{user}/{user}', 'UserActionController@post');

});

