<?php

namespace Litecms\Lead\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Litecms\Lead\Http\Requests\UserActionsRequest;
use Litecms\Lead\Models\UserActions;

/**
 * Admin web controller class.
 */
class UserActionsController extends BaseController
{

    /**
     * Action controller function for user.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(UserActionsRequest $request, $action)
    {
        try {
            $user = UserActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('lead::user.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('lead/user/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('lead/user/' . $action))
                ->redirect();
        }
    }
}
