<?php

namespace Litecms\Lead\Policies;

use Litecms\Lead\Models\Lead;
use Litepie\User\Interfaces\UserPolicyInterface;

trait LeadAction
{

    /**
     * Determine if the given user can approve the given lead.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function copy(UserPolicyInterface $authUser, Lead $lead)
    {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('lead.lead.action.copy')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given lead.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    function empty(UserPolicyInterface $authUser, Lead $lead) {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('lead.lead.action.empty')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given lead.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function transfer(UserPolicyInterface $authUser, Lead $lead)
    {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('lead.lead.action.transfer')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given lead.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function delete(UserPolicyInterface $authUser, Lead $lead)
    {


        if ($authUser->canDo('lead.lead.action.delete')) {
            return true;
        }

        return false;
    }


}
