<?php

namespace Litecms\Lead\Policies;

use Litecms\Lead\Models\User;
use Litepie\User\Interfaces\UserPolicyInterface;

trait UserAction
{

    /**
     * Determine if the given user can approve the given user.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function copy(UserPolicyInterface $authUser, User $user)
    {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('lead.user.action.copy')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given user.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    function empty(UserPolicyInterface $authUser, User $user) {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('lead.user.action.empty')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given user.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function transfer(UserPolicyInterface $authUser, User $user)
    {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('lead.user.action.transfer')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given user.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function delete(UserPolicyInterface $authUser, User $user)
    {


        if ($authUser->canDo('lead.user.action.delete')) {
            return true;
        }

        return false;
    }


}
