<?php

namespace Litecms\Lead\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait UserExim
{

    /**
     * Determine if the given user can approve the given user.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function import(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('lead.user.import')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given user.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function export(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('lead.user.export')) {
            return true;
        }

        return false;
    }
}
