<?php

namespace Litecms\Lead\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Lead policy
        \Litecms\Lead\Models\LeadRepository::class 
        => \Litecms\Lead\Policies\LeadPolicy::class,// Bind User policy
        \Litecms\Lead\Models\UserRepository::class 
        => \Litecms\Lead\Policies\UserPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
